RTB_registerPref("Enabled?", "Renderman", "Pref::Renderman::Enabled", "bool", "Support_RendermanRevamp", 1, 0, 0);
RTB_registerPref("Kicks Players?", "Renderman", "Pref::Renderman::Kick", "bool", "Support_RendermanRevamp", 0, 0, 0);
RTB_registerPref("Affect Map Lights?", "Renderman", "Pref::Renderman::AffectLight", "bool", "Support_RendermanRevamp", 1, 0, 0);
RTB_registerPref("Old Detector Sound?", "Renderman", "Pref::Renderman::DetectorSound", "bool", "Support_RendermanRevamp", 0, 0, 0);
RTB_registerPref("Renderman Light?", "Renderman", "Pref::Renderman::Light", "bool", "Support_RendermanRevamp", 0, 0, 0);
RTB_registerPref("Randomized Appearance?", "Renderman", "Pref::Renderman::Appearance", "bool", "Support_RendermanRevamp", 0, 0, 0);
RTB_registerPref("Mode", "Renderman", "Pref::Renderman::Mode", "list Normal 0 Haunt 1", "Support_RendermanRevamp", 0, 0, 0);
//RTB_registerPref("Spawnrate", "Renderman", "Pref::Renderman::Spawnrate", "list Extreme 2 High 4 Medium 6 Low 10", "Support_RendermanRevamp", 6, 0, 0);
RTB_registerPref("Face", "Renderman", "Pref::Renderman::Face", "list memeGrinMan 0 asciiTerror 1", "Support_RendermanRevamp", 0, 0, 0);

// FUNCTIONS //
function reloadRenderman() {
	exec("Add-Ons/Support_RendermanRevamp/server.cs");
	transmitdatablocks();
}

%errorA = ForceRequiredAddOn("Brick_Halloween");
if(%errorA == $Error::AddOn_NotFound)
	{
	error("ERROR: Support_RendermanRevamp - required add-on Brick_Halloween not found");
	}
	else
	{
	%errorB = ForceRequiredAddOn("Sound_Beeps");
	if(%errorB == $Error::AddOn_NotFound)
		{
		error("ERROR: Support_RendermanRevamp - required add-on Sound_Beeps not found");
		}
		else {
		exec("./datablocks.cs");
		exec("./detector.cs");
		exec("./emitters.cs");
		exec("./functions.cs");
		}
	}